powerpoint_presentation {rmarkdown} | R Documentation

## Convert to a PowerPoint presentation

### Description

Format for converting from R Markdown to a PowerPoint presentation. Pandoc v2.0.5 or above is required.

### Usage

    powerpoint_presentation(toc = FALSE, toc_depth = 2, fig_width = 5,
      fig_height = 4, fig_caption = TRUE, df_print = "default",
      smart = TRUE, keep_md = FALSE, md_extensions = NULL,
      slide_level = NULL, reference_doc = "default", pandoc_args = NULL)

### Arguments

`toc` | `TRUE` to include a table of contents in the output
`toc_depth` | Depth of headers to include in table of contents
`fig_width` | Default width (in inches) for figures
`fig_height` | Default width (in inches) for figures
`fig_caption` | `TRUE` to render figures with captions

`df_print`

Method to be used for printing data frames. Valid values include "default", "kable", "tibble", and "paged". The "default" method uses `print.data.frame`. The "kable" method uses the `knitr::kable` function. The "tibble" method uses the tibble package to print a summary of the data frame. The "paged" method creates a paginated HTML table (note that this method is only valid for formats that produce HTML). In addition to the named methods you can also pass an arbitrary function to be used for printing data frames. You can disable the df_print behavior entirely by setting the option `rmarkdown.df_print` to `FALSE`.

`smart` | Produce typographically correct output, converting straight quotes to curly quotes, — to em-dashes, – to en-dashes, and ... to ellipses.
`keep_md` | Keep the markdown file generated by knitting.
`md_extensions` | Markdown extensions to be added or removed from the default definition or R Markdown. See the `rmarkdown_format` for additional details.
`slide_level` | The heading level which defines individual slides. By default this is the highest header level in the hierarchy that is followed immediately by content, and not another header, somewhere in the document. This default can be overridden by specifying an explicit `slide_level`.
`reference_doc` | Path to a PowerPoint template.
`pandoc_args` | Additional command line options to pass to pandoc

### Value

R Markdown output format to pass to `render`

[Package rmarkdown version 1.10 Index]